using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;
using System.Data;

namespace Dao
{
	public interface IHostRoomCardRepository : IRepository<HostRoomCard>
	{
		IQueryable<HostRoomCard> LoadAllByPage(out long total, int page, int rows, string order, string sort);

		/// <summary>
		/// 获取最后一次插卡未拔卡的记录
		/// </summary>
		/// <param name="hostID"></param>
		/// <param name="cardNumber"></param>
		/// <returns></returns>
		HostRoomCard GetLastHostRoomCard(int hostID, string cardNumber);

		/// <summary>
		/// 获取最后一次插卡未拔卡的记录
		/// </summary>
		/// <param name="hostID"></param>
		/// <param name="cardType"></param>
		/// <returns></returns>
		HostRoomCard GetLastHostRoomCard(int hostID, RoomCardType cardType);

		/// <summary>
		/// 获取最后一次插卡未拔卡的记录
		/// </summary>
		/// <param name="hostID"></param>
		/// <param name="cardType"></param>
		/// <returns></returns>
		HostRoomCard GetLastHostRoomCard(int hostID);

        void DeleteAll(int hotelID);

        void DeteleByHostID(int hostID);

        DataTable LoadHostRoomCard(out long total, int page, int rows, string order, string sort, int hotelID, string cardType, string roomNumber, string userName, string cardNumber, string startDate, string endDate);
	}
}
